@Echo off
 REM ===========================================================================
 REM JobMgr TC.SiteKon.Script for Customer (c)addPLM 2006..2017
 REM Date/Time  Name   Details:
 REM 08.02.2017 J.Fes  first version
 REM ===========================================================================

 set JobMgr_TcUser=%~1
 set JobMgr_TcPw=%~2

 Call Echo "**************************************************************************"
 Call Echo "* Excuting RfCustomStart.cmd Script for NX11 PLMJobManager Environ       *"
 Call Echo "* Based on Version: 13.03.2018 (c)addPLM GmbH                            *"
 Call Echo "**************************************************************************"

 set TcSiteTarget=!!unkown!!


 REM -- define incudes #New: 05.07.2016/J.Fes
 set JobMgr_10-JobScriptsInc_01=_JobMgrDefaults
 set JobMgr_10-JobScriptsInc_02=_CustomDefaults\TcPrompt

 rem -- #Doc: 07.07.2016/J.Fes Use to refile 'SO SiteObjects' as 'RO ReplicaObjects'
 rem if not defined JobMgr_RfUse_for_SO_RO set JobMgr_RfUse_for_SO_RO=YES

 REM -- #Doc: Inits all Basics of Job
 Call "%~dp0_JobInitial.cmd" "TcSiteKon" "YES" "YES" "YES" "YES"

 set UserMappingFile_DPNE=%CmdCurRoot_DP%\User-Mapping_NXSEAP.txt
 set VolumeReplaceFile_DPNE=%CmdCurRoot_DP%\Volume_mapping.txt
 set CheckGroups=ON
 set CheckLastModUser=ON
 set OracleClient_DP=%BinPublic_Custom_DP%\OraClient
 set HashCodeGen=OFF
 set CheckIfNamedRefFileExists=ON
 set CheckNamedRefFileSize=ON

 if /i "%TcSiteID%" neq "NXSEAP" goto :JumpOver_NXSEAP
    set CheckGroups=OFF
    set CheckLastModUser=OFF
:JumpOver_NXSEAP

 rem -- TC Prompt for Custom
 set TCPrompt_Custom_Opt=NX110

 set titleTxt=Rf:[%JobName%][%TcSiteId%][%Date% %time:~0,5%][\\%ComputerName%]
 title %titleTxt%

 if /I "%Action%" equ "DSEvalExtractPre" set JobMgr_TCPromptGet_ResCode=0& goto :JombOver_TCPrompt
 if /I "%Action%" equ "DSEvalExtractPost" set JobMgr_TCPromptGet_ResCode=0& goto :JombOver_TCPrompt
 if /I "%Action%" equ "DSEvalCompair" set JobMgr_TCPromptGet_ResCode=0& goto :JombOver_TCPrompt

 if exist "%TCPrompt_Custom_DPNE%" Call "%TCPrompt_Custom_DPNE%"
:JombOver_TCPrompt

 if "%JobMgr_TCPromptGet_ResCode%" equ "0" Call "%CmdCurRoot_DP%\TcSiteCons.cmd" "%JobMgr_TcUser%" "%JobMgr_TcPW%" "TK1"

 if /i "%JobMgr_Test%" neq "ON" goto :JumbOver
  Banner Test:End
  Call Echo "----  ----  ----  ----  ----  ----  ----  ----  ----  ----  ----  ----  ----"
  Call Echo "#TestMode.......................: End of Test"
  Call Echo "JobName.........................: %JobName%"
  pause
:JumbOver

  rem #New:08.03.18/J.Fes using _JobFinish at JobEnd
  Call "%~dp0_JobFinish.cmd"

goto :end

REM ============================================================================
:end
 cd /d "%tempOrig_DP%"
 Call Echo "--------------------------------------------------------------------------"
 Call Echo "Info: all files in...............: %temp%"
 Call Echo "Info: will be zipt by JobClient..: and send to JobServer"
 EXIT /B 0
